try-linux-android: libEGL.so not found

RESOLVED INVALID

Status

RESOLVED INVALID
7 years ago
5 years ago

People

(Reporter: joey, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

7 years ago
builder: try-linux-android
slave: try-linux-slave01
starttime: 1317235953.96
results: success (0)
buildid: 20110928115247
builduid: 1d3139d7a12b4be2b81717c5b0eb107e
revision: 641748889589
==============================================

libEGL is an OpenGL library.  Are slaves missing lib files or might need to have extra system paths appended to the linker search path so they can be found ?

/tools/android-ndk-r5c/toolchains/arm-linux-androideabi-4.4.3/prebuilt/linux-x86/bin/../lib/gcc/arm-linux-androideabi/4.4.3/../../../../arm-linux-androideabi/bin/ld: warning: libEGL.so, needed by /tools/android-ndk-r5c/platforms/android-5/arch-arm/usr/lib/libGLESv2.so, not found (try using -rpath or -rpath-link)



http://stackoverflow.com/questions/1114199/missing-opengl-drivers-on-android-emulator

/tools/android-ndk-r5c/toolchains/arm-linux-androideabi-4.4.3/prebuilt/linux-x86/bin/../lib/gcc/arm-linux-androideabi/4.4.3/../../../../arm-linux-androideabi/bin/ld: warning: libcutils.so, needed by /tools/android-ndk-r5c/platforms/android-5/arch-arm/usr/lib/libGLESv2.so, not found (try using -rpath or -rpath-link)

/tools/android-ndk-r5c/toolchains/arm-linux-androideabi-4.4.3/prebuilt/linux-x86/bin/../lib/gcc/arm-linux-androideabi/4.4.3/../../../../arm-linux-androideabi/bin/ld: warning: libEGL.so, needed by /tools/android-ndk-r5c/platforms/android-5/arch-arm/usr/lib/libGLESv2.so, not found (try using -rpath or -rpath-link)
These are indirect dependencies, they don't matter much. In fact, these are only warnings.
They are actually missing from platforms/android-5 in the NDK. They however are present in platforms/android-9.
[cltbld@try-linux-slave01 /]$ find . -mount -name libEGL.so 2>/dev/null
./tools/android-ndk-r5c/platforms/android-9/arch-arm/usr/lib/libEGL.so

Do we need to adjust the mozconfig to allow the build to find that library?
No, building against android-9 makes binaries that are likely to not work on android < 2.3.
What's left for this bug then?
From my POV this is RESOLVED INVALID. But maybe joey has something to say?
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → INVALID
(Reporter)

Comment 6

7 years ago
(In reply to Mike Hommey [:glandium] from comment #5)
> From my POV this is RESOLVED INVALID. But maybe joey has something to say?

No close it if the mia library is ok
(Assignee)

Updated

5 years ago
Product: mozilla.org → Release Engineering
You need to log in before you can comment on or make changes to this bug.